%define version 3.9.2
%define release %mkrel 1

# default to 0
%define build_ncocpp %{?_with_ncocpp:1}%{?!_with_ncocpp:0}

%define major 3
%define libname %mklibname %name %major
%define libnamedevel %mklibname %name -d

Summary: Arithmetic and metadata operators for netCDF and HDF4 files
Name: nco
Version: %version
Release: %release
License: GPL
Group: Sciences/Mathematics
Source: ftp://nco.sourceforge.net/pub/nco/nco-%version.tar.gz
URL: http://nco.sourceforge.net
BuildRequires: gcc
BuildRequires: netcdf-devel >= 3.6
BuildRequires: udunits-devel
%if %build_ncocpp
# This package does not exists yet...
BuildRequires: antlr-devel >= 3
BuildRequires: gcc-c++
%endif
BuildRoot: %_tmppath/%name-%version-root

%description
The netCDF Operators, or NCO, are a suite of programs known as
operators. The operators facilitate manipulation and analysis of
self-describing data stored in the netCDF or HDF4 formats, which are
freely available (http://www.unidata.ucar.edu/packages/netcdf and
http://hdf.ncsa.uiuc.edu, respectively). Each NCO operator (e.g., 
ncks) takes netCDF or HDF4 input file(s), performs an operation (e.g.,
averaging, hyperslabbing, or renaming), and outputs a processed netCDF
file. Although most users of netCDF and HDF data are involved in
scientific research, these data formats, and thus NCO, are generic and
are equally useful in fields like finance. The NCO User's Guide
illustrates NCO use with examples from the field of climate modeling
and analysis. The NCO homepage is http://nco.sourceforge.net.

%package -n %libname
Summary: NCO libraries
Group: System/Libraries
Provides: lib%name = %version-%release

%description -n %libname
The netCDF Operators, or NCO, are a suite of programs known as
operators. The operators facilitate manipulation and analysis of
self-describing data stored in the netCDF or HDF4 formats, which are
freely available (http://www.unidata.ucar.edu/packages/netcdf and
http://hdf.ncsa.uiuc.edu, respectively). Each NCO operator (e.g.,
ncks) takes netCDF or HDF4 input file(s), performs an operation (e.g.,
averaging, hyperslabbing, or renaming), and outputs a processed netCDF
file. Although most users of netCDF and HDF data are involved in
scientific research, these data formats, and thus NCO, are generic and
are equally useful in fields like finance. The NCO User's Guide
illustrates NCO use with examples from the field of climate modeling
and analysis. The NCO homepage is http://nco.sourceforge.net.

This package contains libraries from NCO.

%package -n %libnamedevel
Summary: Development files from NCO
Group: Development/Other
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release
Requires: %libname = %version-%release
Obsoletes: %mklibname -d %name 3

%description -n %libnamedevel
The netCDF Operators, or NCO, are a suite of programs known as
operators. The operators facilitate manipulation and analysis of
self-describing data stored in the netCDF or HDF4 formats, which are
freely available (http://www.unidata.ucar.edu/packages/netcdf and
http://hdf.ncsa.uiuc.edu, respectively). Each NCO operator (e.g.,
ncks) takes netCDF or HDF4 input file(s), performs an operation (e.g.,
averaging, hyperslabbing, or renaming), and outputs a processed netCDF
file. Although most users of netCDF and HDF data are involved in
scientific research, these data formats, and thus NCO, are generic and
are equally useful in fields like finance. The NCO User's Guide
illustrates NCO use with examples from the field of climate modeling
and analysis. The NCO homepage is http://nco.sourceforge.net.

This package contains files need to build application using NCO library.

%prep
%setup -q 

%build
%configure2_5x \
%if %build_ncocpp
    --enable-nco_cplusplus --enable-ncoxx
%else
    --disable-nco_cplusplus --disable-ncoxx
%endif

%make CPPFLAGS="%optflags -fPIC" CCFLAGS="%optflags -fPIC"

%install
%makeinstall

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc doc/*
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/*

%files -n %libname
%defattr(-, root, root, -)
%doc doc/*
%{_libdir}/libnco-%version.so
%if %build_ncocpp
%{_libdir}/libnco_c++-%version.so
%endif

%files -n %libnamedevel
%defattr(-, root, root, -)
%doc doc/*
%if %build_ncocpp
%{_includedir}/*.hh
%{_libdir}/libnco_c++.so
%{_libdir}/libnco_c++.la
%{_libdir}/libnco_c++.a
%endif
%{_libdir}/libnco.a
%{_libdir}/libnco.la
%{_libdir}/libnco.so

%clean
[ %buildroot != '/' ] && rm -fr %buildroot


%changelog
* Wed Sep 05 2007 Olivier Thauvin <nanardon@mandriva.org> 3.9.2-1mdv2008.0
+ Revision: 80430
- 3.9.2

* Wed Jun 27 2007 Olivier Thauvin <nanardon@mandriva.org> 3.9.0-1mdv2008.0
+ Revision: 44835
- 3.9.0, disable c++ lib, need last antlr not yet packaged
- apply new devel policy


* Fri Mar 30 2007 Olivier Thauvin <nanardon@mandriva.org> 3.1.8-2mdv2007.1
+ Revision: 149815
- rebuild

* Sun Jan 07 2007 Olivier Thauvin <nanardon@mandriva.org> 3.1.8-1mdv2007.1
+ Revision: 105064
- 3.1.8

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org> 3.1.4-1mdv2007.0
+ Revision: 55122
- 3.1.4
- Import nco

* Fri Oct 07 2005 Olivier Thauvin <nanardon@mandriva.org> 3.0.2-1mdk
- From Philippe Weill <Philippe.Weill@aero.jussieu.fr>
  - move to 3.0.2 version with udunits  
  - adding c++ header to devel package

* Wed Mar 09 2005 Olivier Thauvin <nanardon@mandrake.org> 2.8.4-1mdk
- initial mdk spec

